///@file pc_sensors.cpp
///
/// Implements pc_sensors.hh

#ifdef WIN32
#include "pc_sensors.hh"
#include <stdio.h>
#include <conio.h>


/**
 * KEYBOARD SENSOR CLASS ROUTINES
 */

///Constructor
///@param none
///@return none
Keyboard::Keyboard()
{
	c=(char)0;
}


///Update keyboard
///@param none
///@return true
bool Keyboard::Update()
{
	bool b = _kbhit(); // check to see if key is pressed

	if(b)
	{
		c = _getch();  // get the character
	}

	return b;
}

#endif //WIN32


